package kr.co.hanwha.hifive.enums;

/**
 * Main home list 정의
 * <p>
 * Created by sanghoonkwon on 2018. 1. 31..
 */

public enum ViewHolderTaskType {
    /**
     * 오늘의 할일 제목
     */
    TODAY_HEADER(11),
    /**
     * 오늘의 할일(Assigned)
     */
    TODAY_DATA(12),
    /**
     * 나의 업무 제목
     */
    TASK_HEADER(21),
    /**
     * 나의 업무
     */
    TASK_DATA(22),
    /**
     * 완료된 업무 제목
     */
    TASK_CLOSED_HEADER(31),
    /**
     * 완료된 업무
     */
    TASK_CLOSED_DATA(32),
    /**
     * 평가함 제목
     */
    EVALUATION_HEADER(41),
    /**
     * 평가 수락 / 반려 처리해야될 업무
     */
    EVALUATION_DATA(42),
    /**
     * 요청한 업무 제목
     */
    REQUEST_HEADER(51),
    /**
     * 요청한 업무
     */
    REQUEST_DATA(52),
    /**
     * 명언 뷰
     */
    FAMOUS_SAYING_MARGIN(98),
    /**
     * 하단 여백
     */
    BOTTOM_MARGIN(99);

    int type;

    ViewHolderTaskType(int type) {
        this.type = type;
    }

    public int getCode() {
        return type;
    }
}
